package com.goafanti.common.dao;

import com.goafanti.common.model.UserService;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 客服信息表(UserService)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-11 17:01:53
 */
public interface UserServiceMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserService queryById(Integer id);


    /**
     * 查询指定行数据
     *
     * @param userService 查询条件
     * @param pageable    分页对象
     * @return 对象列表
     */
    List<UserService> findUserServiceList(UserService userService, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param userService 查询条件
     * @return 总行数
     */
    int findUserServiceCount(UserService userService);

    /**
     * 新增数据
     *
     * @param userService 实例对象
     * @return 影响行数
     */
    int insert(UserService userService);

    int insertSelective(UserService userService);


    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<UserService> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<UserService> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<UserService> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<UserService> entities);

    /**
     * 修改数据
     *
     * @param userService 实例对象
     * @return 影响行数
     */
    int update(UserService userService);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);


    Integer selectByUid(String uid);

}

